var NAVTREE =
[
  [ "CsPaint", "index.html", [
    [ "Fundamentals", "lib-fundamentals.html", [
      [ "About CsPaint", "basics_about.html", null ],
      [ "Timeline for Graphics", "basics_time.html", null ],
      [ "Graphics Terminology", "basics_terminology.html", null ],
      [ "CsPaint Abstraction", "basics_abstraction.html", null ]
    ] ],
    [ "Build Process", "building.html", [
      [ "Building on Linux", "building-linux.html", null ],
      [ "Building on Windows (MinGW)", "building-mingw.html", null ],
      [ "Building on Windows (MSVC)", "building-msvc.html", null ]
    ] ],
    [ "License", "main-license.html", null ],
    [ "How to Contribute", "main-contribute.html", null ],
    [ "Timeline", "timeline.html", null ],
    [ "Namespace Members", "namespacemembers.html", [
      [ "All", "namespacemembers.html", null ],
      [ "Functions", "namespacemembers_func.html", null ],
      [ "Typedefs", "namespacemembers_type.html", null ]
    ] ],
    [ "Classes", "annotated.html", [
      [ "Class List", "annotated.html", [
        [ "CsPaint", "namespace_cspaint.html", [
          [ "io", "namespace_cspaint_1_1io.html", [
            [ "Vertex", "struct_cspaint_1_1io_1_1vertex.html", [
              [ "nx", "struct_cspaint_1_1io_1_1vertex.html#a0d7391fc9b3d92a08d826b6690e059dd", null ],
              [ "ny", "struct_cspaint_1_1io_1_1vertex.html#af222668e4d41ca50a98aca4140f676c6", null ],
              [ "nz", "struct_cspaint_1_1io_1_1vertex.html#a49112d81114da1dbce489855bd581181", null ],
              [ "x", "struct_cspaint_1_1io_1_1vertex.html#a554edcf1ffd73b67b59bedfe44cca747", null ],
              [ "y", "struct_cspaint_1_1io_1_1vertex.html#a40ab2862e200084609f01677f61165c6", null ],
              [ "z", "struct_cspaint_1_1io_1_1vertex.html#a87f018f0ad8e85be6f9881c1a0344381", null ]
            ] ]
          ] ],
          [ "util", "namespace_cspaint_1_1util.html", [
            [ "make_shared_with_init", "class_cspaint_1_1util_1_1make__shared__with__init.html", null ]
          ] ],
          [ "buffer", "class_cspaint_1_1buffer.html", [
            [ "handle", "class_cspaint_1_1buffer.html#a8dc2c98b0826203efad8d9669c3accf7", null ],
            [ "buffer", "class_cspaint_1_1buffer.html#a9bfdad67927ff3c7cf5974be4d380adb", null ],
            [ "buffer", "class_cspaint_1_1buffer.html#a66c5686f34ed65608a70f42f619c4e2d", null ],
            [ "getBuffer", "class_cspaint_1_1buffer.html#a9a2f5af04ad00f09a5721eb967d9dc4b", null ],
            [ "getDeviceMemory", "class_cspaint_1_1buffer.html#add0d93a7a1e1d6101d5cb25bfd03c38e", null ],
            [ "operator=", "class_cspaint_1_1buffer.html#afe7d8ffaff12ef3cad16c816f6b65749", null ],
            [ "store", "class_cspaint_1_1buffer.html#a6814db5e6084896cc2b0c9e40b10e977", null ],
            [ "store", "class_cspaint_1_1buffer.html#ad00290512606f540118bcdb12b507263", null ]
          ] ],
          [ "command_buffer", "class_cspaint_1_1command__buffer.html", [
            [ "handle", "class_cspaint_1_1command__buffer.html#a277376b8e3bee5afefc1128e19c9b9b9", null ],
            [ "command_buffer", "class_cspaint_1_1command__buffer.html#ad4a1cf083060db7a6988f0684dd8959b", null ],
            [ "command_buffer", "class_cspaint_1_1command__buffer.html#a7816ec9232c2646dcc2e16ade54afc90", null ],
            [ "buffer", "class_cspaint_1_1command__buffer.html#a05d0d4e38fcb3eadceef3c77746184fe", null ],
            [ "operator=", "class_cspaint_1_1command__buffer.html#a359dcb56e06025cd1690f14442bc966e", null ]
          ] ],
          [ "command_pool", "class_cspaint_1_1command__pool.html", [
            [ "handle", "class_cspaint_1_1command__pool.html#ac686a3f71b7159936f429032966c567c", null ],
            [ "command_pool", "class_cspaint_1_1command__pool.html#a0c5b5f2d226fb77f987320064effa26e", null ],
            [ "command_pool", "class_cspaint_1_1command__pool.html#ac6628e64975686b7d6c549ef0949570d", null ],
            [ "createCommandBuffer", "class_cspaint_1_1command__pool.html#a38ced0a326a247006de9ccf13d25cd4b", null ],
            [ "operator=", "class_cspaint_1_1command__pool.html#a24a6a85f7842e9bf4f7904504b73906a", null ]
          ] ],
          [ "context", "class_cspaint_1_1context.html", [
            [ "error_callback_t", "class_cspaint_1_1context.html#a2ee4b669d4ec0b26f3e2ad2f47838dac", null ],
            [ "handle", "class_cspaint_1_1context.html#a5978b9035a1ed1d6f74f4f345b88e922", null ],
            [ "context", "class_cspaint_1_1context.html#af03191708eae7ae53c854267f0708dfe", null ],
            [ "~context", "class_cspaint_1_1context.html#ac595c930e209e9a949b099eab9fe71ee", null ],
            [ "context", "class_cspaint_1_1context.html#af1c8d47ac2e3eee7c523d028ad987cba", null ],
            [ "instance", "class_cspaint_1_1context.html#a473ed2d11992e66c51575196cfc9b392", null ],
            [ "operator=", "class_cspaint_1_1context.html#a38b2daaef1873fd2aaa84169d8ec5056", null ],
            [ "setDebugCallback", "class_cspaint_1_1context.html#ac1d0ae4ed9b335231fa5b4f0c8f58aaa", null ]
          ] ],
          [ "descriptor", "class_cspaint_1_1descriptor.html", [
            [ "handle", "class_cspaint_1_1descriptor.html#a620599e6f5ff2ac86893c6c52b464932", null ],
            [ "descriptor", "class_cspaint_1_1descriptor.html#adcb2651b3229a67a3f20b3b6230db5b3", null ],
            [ "descriptor", "class_cspaint_1_1descriptor.html#a3b7dba44df5af5859c39562027eea159", null ],
            [ "descriptorSet", "class_cspaint_1_1descriptor.html#a7e86ed617566b35ffb8e4e82fb4fa185", null ],
            [ "operator=", "class_cspaint_1_1descriptor.html#a2d9f6a9f41b85e5314d971f864a16a50", null ]
          ] ],
          [ "descriptor_pool", "class_cspaint_1_1descriptor__pool.html", [
            [ "handle", "class_cspaint_1_1descriptor__pool.html#adb34af009d06cd14d820a94009f5b044", null ],
            [ "descriptor_pool", "class_cspaint_1_1descriptor__pool.html#ae0fdaeb993bdc184b8f1e4efe9a91e65", null ],
            [ "descriptor_pool", "class_cspaint_1_1descriptor__pool.html#a84c1d7c19a7a943a54541c9e1138b110", null ],
            [ "createDescriptor", "class_cspaint_1_1descriptor__pool.html#ac2170fd8c1cb562f6d30f2388181a2ac", null ],
            [ "operator=", "class_cspaint_1_1descriptor__pool.html#ab4c1e1db8b7b5d315ce2dca2e6511065", null ]
          ] ],
          [ "device", "class_cspaint_1_1device.html", [
            [ "handle", "class_cspaint_1_1device.html#ad4e0aeeaaf48cce60e9f6ab9e2be8e4b", null ],
            [ "device", "class_cspaint_1_1device.html#a9b5d433598624d8172fc6223dddd98c2", null ],
            [ "device", "class_cspaint_1_1device.html#a007f114fc6b48b57ab3f92d9140a8afb", null ],
            [ "createBuffer", "class_cspaint_1_1device.html#aedbecbf5de32fa938c4aff6b2c11b753", null ],
            [ "createBuffer", "class_cspaint_1_1device.html#a733bd307f165c45ab9d0e7a81e68f60f", null ],
            [ "createBuffer", "class_cspaint_1_1device.html#a170c0b6d7e673248c860dc2f6820b599", null ],
            [ "createBuffer", "class_cspaint_1_1device.html#abad9b917d6259a7eedd30119faff800d", null ],
            [ "createDescriptorPool", "class_cspaint_1_1device.html#a86c2cbc22c4ede03aff88e87b71cfaf9", null ],
            [ "createImage", "class_cspaint_1_1device.html#a7e9434a4a5ce8877af7303f58fc48bab", null ],
            [ "createRenderPass", "class_cspaint_1_1device.html#ad50acb9fd75f761d156afc5232264b76", null ],
            [ "createShader", "class_cspaint_1_1device.html#a222528153bbfadf1c69938c559f80de0", null ],
            [ "createShader", "class_cspaint_1_1device.html#ada9f765e421f41a31ca3c9d714bcaa56", null ],
            [ "createTexture", "class_cspaint_1_1device.html#add1a5e5d6a7bebffa81bcda9a0ce4347", null ],
            [ "createTexture", "class_cspaint_1_1device.html#a94b8bf4aa404c9fe443cbef5a3948c4e", null ],
            [ "createTexture", "class_cspaint_1_1device.html#a458689effe093d7199be6fd13d40b489", null ],
            [ "graphicsCommandPool", "class_cspaint_1_1device.html#a7504d7f34a96c22b7df86d65026bf11c", null ],
            [ "graphicsDevice", "class_cspaint_1_1device.html#a6728ce720ff61dbf545c67252d17991b", null ],
            [ "graphicsQueue", "class_cspaint_1_1device.html#acd4fffcf3c678cab99c03fc4f0f71871", null ],
            [ "hasDeviceMemory", "class_cspaint_1_1device.html#a5700158c88d7fe3e7a494a7734459bed", null ],
            [ "memoryPool", "class_cspaint_1_1device.html#abd28f8afae43bffd1c326ad07ff37ff8", null ],
            [ "operator=", "class_cspaint_1_1device.html#a93da3ffca991a5e07ef53db757895afb", null ],
            [ "physicalDevice", "class_cspaint_1_1device.html#a50fd10292700fd43778af073cc85f5b0", null ],
            [ "transferCommandPool", "class_cspaint_1_1device.html#aba38760a3bed6f43e37bad8b06222486", null ],
            [ "transferQueue", "class_cspaint_1_1device.html#a6ec9a878338129e0f10d21d0e5bee446", null ]
          ] ],
          [ "image", "class_cspaint_1_1image.html", [
            [ "handle", "class_cspaint_1_1image.html#a817fbe84ec7e7452c9a9f5002e546bba", null ],
            [ "image", "class_cspaint_1_1image.html#a72fd364b4dc5fc3cd66cbbdbc3df0a07", null ],
            [ "image", "class_cspaint_1_1image.html#a5ca69e81428c9efcb05a9231390bc324", null ],
            [ "getDeviceMemory", "class_cspaint_1_1image.html#a347cec5e943c321b47b07cba6c4a74ec", null ],
            [ "getImage", "class_cspaint_1_1image.html#a6f47c298cac481c91daf113c6ab7c771", null ],
            [ "getImageView", "class_cspaint_1_1image.html#af5ab991effc8cf00e2d960c0a1f06151", null ],
            [ "operator=", "class_cspaint_1_1image.html#a98c8b648ce65dbf650ee123f16db8895", null ],
            [ "store", "class_cspaint_1_1image.html#aa6421acf2c4a342ff324546fdcadccfe", null ],
            [ "store", "class_cspaint_1_1image.html#a3fde871d86457f05bf051be7d88c3d19", null ]
          ] ],
          [ "memorypool", "class_cspaint_1_1memorypool.html", [
            [ "handle", "class_cspaint_1_1memorypool.html#acb6b045f56ddb03da188037d16bd4f8c", null ],
            [ "memorypool", "class_cspaint_1_1memorypool.html#a62ef9f40779c7a25350ef474a39f7fac", null ],
            [ "memorypool", "class_cspaint_1_1memorypool.html#ac7a21f0c1eb05f0efca8bf85696fbf6f", null ],
            [ "operator=", "class_cspaint_1_1memorypool.html#a2b00a9d5a72b6b8de8c81cc26f8deed4", null ]
          ] ],
          [ "pipeline", "class_cspaint_1_1pipeline.html", [
            [ "handle", "class_cspaint_1_1pipeline.html#a4ee6db1b9f0db60dae12a88a9ef9cc09", null ],
            [ "pipeline", "class_cspaint_1_1pipeline.html#a1f430ae76e4eb477c3962ede78b8bac9", null ],
            [ "pipeline", "class_cspaint_1_1pipeline.html#a4ca7788e57fa536979140f2f09328b86", null ],
            [ "getPipeline", "class_cspaint_1_1pipeline.html#a0a1902f26706a45a5d17eefac8f7674d", null ],
            [ "operator=", "class_cspaint_1_1pipeline.html#a1dfc06ad81b4e03a934aace7f794951a", null ]
          ] ],
          [ "queue", "class_cspaint_1_1queue.html", [
            [ "handle", "class_cspaint_1_1queue.html#a7e8b9dfe273ebbd6160f8bc12077e35f", null ],
            [ "queue", "class_cspaint_1_1queue.html#ae4ddedab041052ffd326b84e4e6256c5", null ],
            [ "queue", "class_cspaint_1_1queue.html#adde1e1e87e35770cc4708b5129365280", null ],
            [ "getQueue", "class_cspaint_1_1queue.html#a2c8b20794e617b38ccbe1da68c8dc9a9", null ],
            [ "operator=", "class_cspaint_1_1queue.html#a9001df015761d6af27cc112951a6c9cc", null ]
          ] ],
          [ "renderpass", "class_cspaint_1_1renderpass.html", [
            [ "handle", "class_cspaint_1_1renderpass.html#a7073aa22b9dd9d735a95fbe769c090a2", null ],
            [ "renderpass", "class_cspaint_1_1renderpass.html#afcaf879bcfeda77541ba871468821bb5", null ],
            [ "renderpass", "class_cspaint_1_1renderpass.html#ad9b068c4e1980d48d6e3a00beb9a9787", null ],
            [ "get", "class_cspaint_1_1renderpass.html#a823fa3740e27eb9c3aa99c551afd9c1d", null ],
            [ "operator=", "class_cspaint_1_1renderpass.html#a5a10e650a74eb6da1532ac7c7969d284", null ]
          ] ],
          [ "shader", "class_cspaint_1_1shader.html", [
            [ "handle", "class_cspaint_1_1shader.html#a48f7a95e3b9350f961cac8ab3737640a", null ],
            [ "shader", "class_cspaint_1_1shader.html#a1ef8b4b9e0f99fe9430a93421e30078c", null ],
            [ "shader", "class_cspaint_1_1shader.html#a13d13b3af9bc5512bba10760347f3123", null ],
            [ "~shader", "class_cspaint_1_1shader.html#aa0adfdbd532f46e4ce81361157309f64", null ],
            [ "shader", "class_cspaint_1_1shader.html#a81c783cc10e6f1193c22a44648ef5e40", null ],
            [ "operator=", "class_cspaint_1_1shader.html#a09fbb6ee3b3176b666d57a0c746abb35", null ],
            [ "shaderModule", "class_cspaint_1_1shader.html#a56b280bea58b2e3facd3bf969aefd6c6", null ]
          ] ],
          [ "surface", "class_cspaint_1_1surface.html", [
            [ "handle", "class_cspaint_1_1surface.html#a0c7f4fc3fed0834ac32e058201a72bc0", null ],
            [ "surface", "class_cspaint_1_1surface.html#a112edd7bed761aebf00dfa0cddeb8f73", null ],
            [ "surface", "class_cspaint_1_1surface.html#aef15164ffb9dda882195776bb2739a75", null ],
            [ "~surface", "class_cspaint_1_1surface.html#ae0e5adc09d2c646751b32f02eb5e07c4", null ],
            [ "createPipeline", "class_cspaint_1_1surface.html#a069339b00c6458e03445e6b1c6ea027c", null ],
            [ "createSwapchain", "class_cspaint_1_1surface.html#afcef7f4a416c482fb31deffb308e39b0", null ],
            [ "graphicsDevice", "class_cspaint_1_1surface.html#abc11b7eb95e933c60125f333248399f0", null ],
            [ "height", "class_cspaint_1_1surface.html#a8f6e973edd909662c5b7d04607005da4", null ],
            [ "operator=", "class_cspaint_1_1surface.html#ae52067391aa60b347ab3ab6e4599e8f1", null ],
            [ "recalculateSize", "class_cspaint_1_1surface.html#ab6e12239fc37907d9e27a57b151fac6a", null ],
            [ "width", "class_cspaint_1_1surface.html#adb79c178c1a416d8eca0e854ca0fb380", null ]
          ] ],
          [ "swapchain", "class_cspaint_1_1swapchain.html", [
            [ "handle", "class_cspaint_1_1swapchain.html#af5a3b9ff4c2b5ad9e151178df8c271fb", null ],
            [ "swapchain", "class_cspaint_1_1swapchain.html#a5da1339064989b69b7a502b09bab5aee", null ],
            [ "swapchain", "class_cspaint_1_1swapchain.html#ad78dd33c9cd916c27c9a751263520f29", null ],
            [ "chain", "class_cspaint_1_1swapchain.html#a1aeba1d8d3e3653a2141474ccf5e432e", null ],
            [ "framebuffers", "class_cspaint_1_1swapchain.html#a41680a8d90c6a6e550752888e3308ec0", null ],
            [ "operator=", "class_cspaint_1_1swapchain.html#a4a93254e3f1b3eb4e277f92401118e15", null ]
          ] ]
        ] ]
      ] ],
      [ "Class Hierarchy", "hierarchy.html", [
        [ "CsPaint::buffer", "class_cspaint_1_1buffer.html", null ],
        [ "CsPaint::command_buffer", "class_cspaint_1_1command__buffer.html", null ],
        [ "CsPaint::command_pool", "class_cspaint_1_1command__pool.html", null ],
        [ "CsPaint::context", "class_cspaint_1_1context.html", null ],
        [ "CsPaint::descriptor", "class_cspaint_1_1descriptor.html", null ],
        [ "CsPaint::image", "class_cspaint_1_1image.html", null ],
        [ "CsPaint::io::Vertex", "struct_cspaint_1_1io_1_1vertex.html", null ],
        [ "CsPaint::memorypool", "class_cspaint_1_1memorypool.html", null ],
        [ "CsPaint::pipeline", "class_cspaint_1_1pipeline.html", null ],
        [ "CsPaint::queue", "class_cspaint_1_1queue.html", null ],
        [ "CsPaint::renderpass", "class_cspaint_1_1renderpass.html", null ],
        [ "CsPaint::shader", "class_cspaint_1_1shader.html", null ],
        [ "CsPaint::swapchain", "class_cspaint_1_1swapchain.html", null ],
        [ "CsPaint::util::make_shared_with_init< T >", "class_cspaint_1_1util_1_1make__shared__with__init.html", null ],
        [ "std::enable_shared_from_this", null, [
          [ "CsPaint::descriptor_pool", "class_cspaint_1_1descriptor__pool.html", null ],
          [ "CsPaint::device", "class_cspaint_1_1device.html", null ],
          [ "CsPaint::surface", "class_cspaint_1_1surface.html", null ]
        ] ]
      ] ],
      [ "Class Members", "functions_all.html", [
        [ "All", "functions_all.html", null ],
        [ "Functions", "functions_func.html", null ],
        [ "Variables", "functions_vars.html", null ],
        [ "Typedefs", "functions_type.html", null ]
      ] ]
    ] ],
    [ "Support", "^https://forum.copperspice.com/", null ]
  ] ]
];

var NAVTREEINDEX =
[
"annotated.html"
];

var SYNCONMSG = 'click to disable panel synchronization';
var SYNCOFFMSG = 'click to enable panel synchronization';